# $Revision: 1.22 $, $Date: 2011/06/01 20:11:07 $
%define		module	nose
Summary:	A unittest extension with automatic discovery, simplified authoring, and output capture
Summary(pl.UTF-8):	Rozszerzenie testów jednostkowych z automatycznym wykrywaniem, prostym tworzeniem i przechwytywaniem wyjścia
Name:		python-%{module}
Version:	1.0.0
Release:	1
License:	LGPL
Group:		Libraries/Python
Source0:	http://pypi.python.org/packages/source/n/%{module}/%{module}-%{version}.tar.gz
# Source0-md5:	47a4784c817afa6ef11a505b574584ed
URL:		http://pypi.python.org/pypi/nose
BuildRequires:	python-devel
BuildRequires:	python-devel-tools >= 1:2.5
BuildRequires:	python-setuptools >= 0.6-0.c5
BuildRequires:	python3-devel
BuildRequires:	python3-devel-tools >= 1:2.5
BuildRequires:	python3-distribute
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-devel-tools
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
nose provides an alternate test discovery and running process for
unittest, one that is intended to mimic the behavior of py.test as
much as is reasonably possible without resorting to magic. By default,
nose will run tests in files or directories under the current working
directory whose names include "test". nose also supports doctest tests
and may optionally provide a test coverage report.

%description -l pl.UTF-8
nose dostarcza alternatywny proces wykrywania i uruchamiania testów
dla testów jednostkowych (unittest), mający przypominać zachowanie
py.test na ile to możliwe bez uciekania się do magii. Domyślnie nose
uruchamia testy z tych plików lub katalogów od bieżącego katalogu,
których nazwa zawiera "test". Obsługuje także testy doctest i
opcjonalnie przedstawia raport pokrycia testów.

%package -n	python3-%{module}
Summary:	Serial port interface module
Version:	%{version}
Release:	%{release}
Group:		Libraries/Python

%description -n python3-%{module}
nose provides an alternate test discovery and running process for
unittest, one that is intended to mimic the behavior of py.test as
much as is reasonably possible without resorting to magic. By default,
nose will run tests in files or directories under the current working
directory whose names include "test". nose also supports doctest tests
and may optionally provide a test coverage report.

%prep
%setup -qn %{module}-%{version}

%build
%{__python} setup.py build --build-base py2
%{__python3} setup.py build --build-base py3

%install
rm -rf $RPM_BUILD_ROOT

%{__python} setup.py build \
	--build-base py2 \
	install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%{__python3} setup.py build \
	--build-base py3 \
	install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

mv $RPM_BUILD_ROOT%{_prefix}/man/ $RPM_BUILD_ROOT%{_datadir}

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/nosetests-2.7
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}-%{version}-py*.egg-info
%{_mandir}/man1/*

%files -n python3-%{module}
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/nosetests-3.2
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}-py*.egg-info
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-nose.spec,v $
Revision 1.22  2011/06/01 20:11:07  wrobell
- ver. 1.0.0
- added python 3.x package

Revision 1.21  2010/11/13 00:20:03  pawelz
- release 3

Revision 1.20  2010/07/08 08:24:12  arekm
- release 2

Revision 1.19  2009/11/26 21:51:17  sparky
- BR: python-devel

Revision 1.18  2009/10/03 15:05:52  wrobell
- ver. 0.11.1

Revision 1.17  2009/01/06 18:53:45  witekfl
- up to 0.10.4

Revision 1.16  2008/11/21 22:47:15  charles
- BR s/python/python-devel-tools/

Revision 1.15  2008/10/03 17:54:22  arekm
- release 3

Revision 1.14  2008/07/10 20:28:29  megabajt
- release 2

Revision 1.13  2007/06/25 19:30:49  qboosh
- typo

Revision 1.12  2007/06/25 19:21:26  wrobell
- ver. 0.9.3

Revision 1.11  2007/02/28 16:41:23  wrobell
- fixed manual path

Revision 1.10  2007/02/28 16:38:52  wrobell
- ver. 0.9.2
- added manpage

Revision 1.9  2007/02/13 08:06:43  glen
- tabs in preamble

Revision 1.8  2007/02/12 01:06:45  baggins
- converted to UTF-8

Revision 1.7  2006/11/28 22:15:05  qboosh
- fixed BR, killed redundant macro

Revision 1.6  2006/11/20 21:40:17  emes
- req python 2.5

Revision 1.5  2006/11/19 21:28:15  emes
- works with python 2.4, no need to require 2.5

Revision 1.4  2006/11/19 16:12:20  qboosh
- pl, formatting, py_postclean, BR: python 2.5 for .egg-info

Revision 1.3  2006/11/19 12:52:40  emes
- added breq python-devel-tools

Revision 1.2  2006/11/19 03:56:30  emes
- changed arch to noarch

Revision 1.1  2006/11/19 02:42:08  emes
- initial release
